package net.knarcraft.ffmpegconverter.config;

import org.jetbrains.annotations.NotNull;

/**
 * A representation of all configuration keys
 */
public enum ConfigKey {

    /**
     * The configuration key for the list of hardware-accelerated encoders available on the system
     */
    HARDWARE_ACCELERATED_ENCODERS("encoders-hardware-accelerated"),

    /**
     * The configuration key for toggling debug mode
     */
    DEBUG("debug"),

    /**
     * The configuration key for toggling hardware acceleration
     */
    USE_HARDWARE_ACCELERATION("hardware-acceleration"),
    ;

    private final String configKey;

    ConfigKey(@NotNull String configKey) {
        this.configKey = configKey;
    }

    @Override
    public String toString() {
        return this.configKey;
    }

}
