package net.knarcraft.ffmpegconverter.converter.module.mapping;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import net.knarcraft.ffmpegconverter.streams.StreamObject;
import net.knarcraft.ffmpegconverter.utility.FFMpegHelper;
import org.jetbrains.annotations.NotNull;

/**
 * A module for selecting and mapping a single stream
 */
public class SelectSingleStreamModule implements ConverterModule {

    private final StreamObject stream;

    /**
     * Instantiates a new select single stream module
     *
     * @param stream <p>The stream to map to the output file</p>
     */
    public SelectSingleStreamModule(@NotNull StreamObject stream) {
        this.stream = stream;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        FFMpegHelper.mapStream(command, stream);
    }

}
