package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for setting output quality
 */
public class SetQualityModule implements ConverterModule {

    private final int crf;
    private final String preset;

    /**
     * Instantiates a new quality module
     *
     * @param crf    <p>The CRF to set. 0 = lossless, 51 = terrible, 17 is visually lossless</p>
     * @param preset <p>The preset to use (p1-p7, p7 is slowest and best)</p>
     */
    public SetQualityModule(int crf, @NotNull String preset) {
        this.crf = crf;
        this.preset = preset;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-crf", String.valueOf(crf));
        command.addOutputFileOption("-preset", this.preset);
    }

}
