package net.knarcraft.ffmpegconverter.converter.sorter;

import net.knarcraft.ffmpegconverter.streams.AudioStream;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * A sorter for sorting audio streams by language
 */
public class AudioLanguageSorter extends AbstractSorter<AudioStream> {

    private final String[] languageOrder;

    /**
     * Instantiates a new audio language sorter
     *
     * @param languageOrder <p>The order of preference for audio languages</p>
     */
    public AudioLanguageSorter(@NotNull String[] languageOrder) {
        this.languageOrder = languageOrder;
    }

    @Override
    public @NotNull List<AudioStream> sort(@NotNull List<AudioStream> input) {
        return sortStreamsByLanguage(input, this.languageOrder);
    }

}
